Update product
curl --request PUT \
--url https://api.example.com/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"name": "<string>",
"handle": "<string>"
}
'import requests
url = "https://api.example.com/products/{productId}"
payload = {
"name": "<string>",
"handle": "<string>"
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', handle: '<string>'})
};
fetch('https://api.example.com/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"description": "<string>",
"taxCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Products
Update product
PUT
/
products
/
{productId}
Update product
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Response
OK
The product's name.
Unique id for the product.
The product's handle or SKU.
A description of the product. This may be used internal or external.
An optional taxCode for this product.
Date and time when the product was created.
/// Date and time when the product was last updated.
Was this page helpful?
⌘I

